Subject: Re: bug#15874: 24.3.50; exit! not properly font-locked in ruby-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Dec 2013 21:50:19 -0500

> To answer your actual question: Ruby considers ! and ? parts of identifiers
> only in method names, and only when the name ends with one such a character.

Maybe a good way to handle them is via syntax-propertize, then, especially
if we can come up with a good regexp that distinguishes "method name"
from "local variable name"?

        Stefan